All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.information.publicobject
Interface TypeDescriptorInterface

    public interface TypeDescriptorInterface

This interface describes the type dictionary entry for an public object type.

Field Summary
`static java.lang.String` | `PROPERTY_CONTAINERASSOCIATION`
`static java.lang.String` | `PROPERTY_HASCONTENTBACKING`
`static java.lang.String` | `PROPERTY_LABELPLURAL`
`static java.lang.String` | `PROPERTY_LOCALIZERCLASS`
`static java.lang.String` | `PROPERTY_LOGICALTYPECLASS`
`static java.lang.String` | `PROPERTY_SEARCHALLOWED`
`static java.lang.String` | `PROPERTY_TEMPLATE`

Method Summary
`boolean` | `allowsChildren()` Returns a boolean flag indicating if this object type allows children.
`java.util.List` | `getApplicablePermissions()` Get a List of the permissions that are applicable to this type of object.
`java.lang.String` | `getClassName()` Get the class name used to load an instance of this class.
`java.lang.String` | `getContainerAssociation()` Get the name of the association to follow to get this object's container.
`java.lang.String` | `getContainerType()` Get the container type for this type.
`java.lang.String` | `getDefaultLocation()` Get the default location for objects of this type.
`java.lang.String` | `getDescription()` Get the description of this type.
`java.lang.String` | `getDescription(java.util.Locale locale)` Get the type description for the specified locale.
`javax.swing.Icon` | `getIcon()` Return the Icon for this type.
`javax.swing.Icon` | `getIcon(int size)` Return the Icon for this type.
`byte[]` | `getIconData(int size)` Get the icon image byte data for this object type.
`java.lang.String` | `getIconName()` Get the String with the icon name for this type.
`java.lang.String` | `getLabel()` Get the label for this type.
`java.lang.String` | `getLabelPlural()` Get the plural version of the label for this type.
`java.lang.String` | `getLogicalTypeClassName()` Get the name of the Java class that implements the Logical Type for this definition.
`java.lang.String` | `getMetadataType()` Get the metadata type used to represent this object in the server.
`java.lang.String` | `getPropertyValue(java.lang.String key)` Returns the value for an associated property.
`java.lang.String` | `getTemplate()` Deprecated. Consumers should use the getTemplate(ServerInterface) since the template is no longer loaded automatically.
`java.lang.String` | `getTemplate(ServerInterface server)` Get the template for this object.
`java.lang.Object` | `getTransportHandler()` Returns the TransportHandler for this object type.
`java.lang.String` | `getType()` Get the type of this object.
`java.lang.String` | `getType(java.util.Locale locale)` Get the localized type string for the specified locale.
`java.lang.String` | `getTypeName()` Get the non-localized type name.
`java.lang.String` | `getUsageVersion()` Get the usage version of this object type.
`boolean` | `hasContentBacking()`
`void` | `setApplicablePermissions(java.util.List permissionList)` Set the List of permissions applicable to this type of object.
`void` | `setLogicalTypeClassName(java.lang.String logicalTypeClass)` Set the name of the Java Class that implements the logical type for this definition.

Field Detail

### PROPERTY_CONTAINERASSOCIATION

    static final java.lang.String PROPERTY_CONTAINERASSOCIATION

See Also:
  Constant Field Values

### PROPERTY_LABELPLURAL

    static final java.lang.String PROPERTY_LABELPLURAL

See Also:
  Constant Field Values

### PROPERTY_TEMPLATE

    static final java.lang.String PROPERTY_TEMPLATE

See Also:
  Constant Field Values

### PROPERTY_LOGICALTYPECLASS

    static final java.lang.String PROPERTY_LOGICALTYPECLASS

See Also:
  Constant Field Values

### PROPERTY_LOCALIZERCLASS

    static final java.lang.String PROPERTY_LOCALIZERCLASS

See Also:
  Constant Field Values

### PROPERTY_HASCONTENTBACKING

    static final java.lang.String PROPERTY_HASCONTENTBACKING

See Also:
  Constant Field Values

### PROPERTY_SEARCHALLOWED

    static final java.lang.String PROPERTY_SEARCHALLOWED

See Also:
  Constant Field Values

Method Detail

### getType

    java.lang.String getType()
                             throws ServiceException,
                                    java.rmi.RemoteException

  Get the type of this object. This is the localized type name, and can be used as the label for this type.

  Returns:
    Type String for this object type.
  Throws:
    `ServiceException` - If a service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getType

    java.lang.String getType(java.util.Locale locale)
                             throws ServiceException,
                                    java.rmi.RemoteException

  Get the localized type string for the specified locale.

  Parameters:
    `locale` - The locale to get the type string for.
  Returns:
    The localized type string, if available. Otherwise, the default type string from the metadata is returned.
  Throws:
    `ServiceException` - If a service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getTypeName

    java.lang.String getTypeName()
                                 throws ServiceException,
                                        java.rmi.RemoteException

  Get the non-localized type name. This is the string that will be used to index into the type dictionary, and the string that will be used as the PublicType attribute on metadata objects.

  Returns:
    The non-localized type name.
  Throws:
    `ServiceException` - If a service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getDescription

    java.lang.String getDescription()
                                    throws ServiceException,
                                           java.rmi.RemoteException

  Get the description of this type.

  Returns:
    The description of this type.
  Throws:
    `ServiceException` - If a service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getDescription

    java.lang.String getDescription(java.util.Locale locale)
                                    throws ServiceException,
                                           java.rmi.RemoteException

  Get the type description for the specified locale.

  Parameters:
    `locale` - The locale to retrieve the description for.
  Returns:
    The localized description, if available. If no localized string is available, the description from metadata is returned.
  Throws:
    `ServiceException` - If a service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getIconName

    java.lang.String getIconName()
                                 throws ServiceException,
                                        java.rmi.RemoteException

  Get the String with the icon name for this type.

  Returns:
    The icon name string, or null if none is defined.
  Throws:
    `ServiceException` - If a service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getIcon

    javax.swing.Icon getIcon()
                             throws ServiceException,
                                    java.rmi.RemoteException

  Return the Icon for this type. If no icon is defined, or the icon can't be loaded for some reason, null is returned.

  Returns:
    The Icon for this object, or null if none is available.
  Throws:
    `ServiceException` - If a service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getIcon

    javax.swing.Icon getIcon(int size)
                             throws ServiceException,
                                    java.rmi.RemoteException

  Return the Icon for this type. If no icon is defined, or the icon can't be loaded for some reason, null is returned.

  Parameters:
    `size` - The preferred size for the icon.
  Returns:
    The Icon for this object, or null if none is available.
  Throws:
    `ServiceException` - If a service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getIconData

    byte[] getIconData(int size)
                       throws ServiceException,
                              java.rmi.RemoteException

  Get the icon image byte data for this object type.

  Parameters:
    `size` - The size of the icon to retrieve.
  Returns:
    the byte data for the icon if it exists, or null otherwise.
  Throws:
    `ServiceException` - If a service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getUsageVersion

    java.lang.String getUsageVersion()
                                     throws ServiceException,
                                            java.rmi.RemoteException

  Get the usage version of this object type.

  Returns:
    A String representation of the usage version of the object that this type entry represents.
  Throws:
    `ServiceException` - If a service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getClassName

    java.lang.String getClassName()
                                  throws ServiceException,
                                         java.rmi.RemoteException

  Get the class name used to load an instance of this class.

  Returns:
    The fully qualified Java class name of the object to instantiate when this object is loaded.
  Throws:
    `ServiceException` - If a service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getLabel

    java.lang.String getLabel()
                              throws ServiceException,
                                     java.rmi.RemoteException

  Get the label for this type.

  Returns:
    The label String for this type.
  Throws:
    `ServiceException` - If a service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getLabelPlural

    java.lang.String getLabelPlural()
                                    throws ServiceException,
                                           java.rmi.RemoteException

  Get the plural version of the label for this type.

  Returns:
    The plural label for this type.
  Throws:
    `ServiceException` - If a service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getContainerType

    java.lang.String getContainerType()
                                      throws ServiceException,
                                             java.rmi.RemoteException

  Get the container type for this type. For most types, this will be Folder, but secondary public objects can have other containers.

  Returns:
    The type name for the valid container of this object type.
  Throws:
    `ServiceException` - If a service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getTemplate

    java.lang.String getTemplate()
                                 throws ServiceException,
                                        java.rmi.RemoteException

  Deprecated. Consumers should use the getTemplate(ServerInterface) since the template is no longer loaded automatically.

  Get the template for this object. This is the template that will be used for all transport operations, delete, retrieval, etc.

  Returns:
    The template string for this type.
  Throws:
    `ServiceException` - If a service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getTemplate

    java.lang.String getTemplate(ServerInterface server)
                                 throws ServiceException,
                                        java.rmi.RemoteException

  Get the template for this object. This is the template that will be used for all transport operations, delete, retrieval, etc. The template will be loaded and saved for future access, so only one trip to the server per session will be required.

  Parameters:
    `server` - The server to use to retrieve the template.
  Returns:
    The template string for this type.
  Throws:
    `ServiceException` - If a service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getContainerAssociation

    java.lang.String getContainerAssociation()
                                             throws ServiceException,
                                                    java.rmi.RemoteException

  Get the name of the association to follow to get this object's container.

  Returns:
    The name of the association to follow to get to the container.
  Throws:
    `ServiceException` - If a service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getDefaultLocation

    java.lang.String getDefaultLocation()
                                        throws ServiceException,
                                               java.rmi.RemoteException

  Get the default location for objects of this type.

  Returns:
    the default location
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### getTransportHandler

    java.lang.Object getTransportHandler()
                                         throws ServiceException,
                                                java.rmi.RemoteException

  Returns the TransportHandler for this object type.

  Returns:
    transport handler
  Throws:
    `ServiceException` - If a service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.
  See Also:
    `TransportHandlerInterface`

### allowsChildren

    boolean allowsChildren()
                           throws ServiceException,
                                  java.rmi.RemoteException

  Returns a boolean flag indicating if this object type allows children. If so, it should implement PublicObjectContainerInterface.

  Returns:
    True if this type allows children, false otherwise.
  Throws:
    `ServiceException` - If a service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getLogicalTypeClassName

    java.lang.String getLogicalTypeClassName()
                                             throws ServiceException,
                                                    java.rmi.RemoteException

  Get the name of the Java class that implements the Logical Type for this definition.

  Returns:
    A String with the Logical Type class name.
  Throws:
    `ServiceException` - If a service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### setLogicalTypeClassName

    void setLogicalTypeClassName(java.lang.String logicalTypeClass)
                                 throws ServiceException,
                                        java.rmi.RemoteException

  Set the name of the Java Class that implements the logical type for this definition.

  Parameters:
    `logicalTypeClass` - The Logical Type class name.
  Throws:
    `ServiceException` - If a service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getMetadataType

    java.lang.String getMetadataType()
                                     throws ServiceException,
                                            java.rmi.RemoteException

  Get the metadata type used to represent this object in the server.

  Returns:
    The metadata type String.
  Throws:
    `ServiceException` - If a service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getApplicablePermissions

    java.util.List getApplicablePermissions()
                                            throws ServiceException,
                                                   java.rmi.RemoteException

  Get a List of the permissions that are applicable to this type of object.

  Returns:
    A List of Strings with the permission names applicable to this object. This should always be non-null.
  Throws:
    `ServiceException` - If a service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### setApplicablePermissions

    void setApplicablePermissions(java.util.List permissionList)
                                  throws ServiceException,
                                         java.rmi.RemoteException

  Set the List of permissions applicable to this type of object.

  Parameters:
    `permissionList` - The List of Strings with the permission names applicable to this type of object.
  Throws:
    `ServiceException` - If a service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### hasContentBacking

    boolean hasContentBacking()
                              throws ServiceException,
                                     java.rmi.RemoteException

  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### getPropertyValue

    java.lang.String getPropertyValue(java.lang.String key)
                                      throws ServiceException,
                                             java.rmi.RemoteException

  Returns the value for an associated property.

  Parameters:
    `key` - the property name
  Returns:
    the property value
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.